<HTML>
<HEAD>
<TITLE>Mat Manual Pages</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">

<H2> Matrices Mat: : <A HREF="../../../src/mat/examples/tutorials/index.html">Examples</A></H2>

PETSc matrices (Mat objects) are used to store Jacobians and other sparse matrices
in PDE-based (or other) simulations. 

<P>

<P>
<TABLE>
</TR><TD WIDTH=250 COLSPAN="3"><B>Beginner - Basic usage</B></TD></TR>
 <TD WIDTH=250><A HREF="./MATAIJ.html">MATAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MATSEQAIJ.html">MATSEQAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatMultAdd.html">MatMultAdd</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATAIJMUMPS.html">MATAIJMUMPS</A></TD>
 <TD WIDTH=250><A HREF="./MATSEQAIJSPOOLES.html">MATSEQAIJSPOOLES</A></TD>
 <TD WIDTH=250><A HREF="./MatMultConstrained.html">MatMultConstrained</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATAIJSPOOLES.html">MATAIJSPOOLES</A></TD>
 <TD WIDTH=250><A HREF="./MATSEQBAIJ.html">MATSEQBAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatMultTranspose.html">MatMultTranspose</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATBAIJ.html">MATBAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MATSEQBDIAG.html">MATSEQBDIAG</A></TD>
 <TD WIDTH=250><A HREF="./MatMultTransposeAdd.html">MatMultTransposeAdd</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATBDIAG.html">MATBDIAG</A></TD>
 <TD WIDTH=250><A HREF="./MATSEQDENSE.html">MATSEQDENSE</A></TD>
 <TD WIDTH=250><A HREF="./MatMultTransposeConstrained.html">MatMultTransposeConstrained</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATCRL.html">MATCRL</A></TD>
 <TD WIDTH=250><A HREF="./MATSEQSBAIJ.html">MATSEQSBAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatOption.html">MatOption</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATCSRPERM.html">MATCSRPERM</A></TD>
 <TD WIDTH=250><A HREF="./MATSEQSBAIJSPOOLES.html">MATSEQSBAIJSPOOLES</A></TD>
 <TD WIDTH=250><A HREF="./MatOrderingType.html">MatOrderingType</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATDENSE.html">MATDENSE</A></TD>
 <TD WIDTH=250><A HREF="./MATSUPERLU.html">MATSUPERLU</A></TD>
 <TD WIDTH=250><A HREF="./MatPartitioning.html">MatPartitioning</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATDSCPACK.html">MATDSCPACK</A></TD>
 <TD WIDTH=250><A HREF="./MATSUPERLU_DIST.html">MATSUPERLU_DIST</A></TD>
 <TD WIDTH=250><A HREF="./MatPartitioningType.html">MatPartitioningType</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATESSL.html">MATESSL</A></TD>
 <TD WIDTH=250><A HREF="./MATUMFPACK.html">MATUMFPACK</A></TD>
 <TD WIDTH=250><A HREF="./MatReuse.html">MatReuse</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATLUSOL.html">MATLUSOL</A></TD>
 <TD WIDTH=250><A HREF="./Mat.html">Mat</A></TD>
 <TD WIDTH=250><A HREF="./MatSORType.html">MatSORType</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATMATLAB.html">MATMATLAB</A></TD>
 <TD WIDTH=250><A HREF="./MatAssemblyBegin.html">MatAssemblyBegin</A></TD>
 <TD WIDTH=250><A HREF="./MatSetFromOptions.html">MatSetFromOptions</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATMPIADJ.html">MATMPIADJ</A></TD>
 <TD WIDTH=250><A HREF="./MatAssemblyEnd.html">MatAssemblyEnd</A></TD>
 <TD WIDTH=250><A HREF="./MatSetSizes.html">MatSetSizes</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATMPIAIJ.html">MATMPIAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatAssemblyType.html">MatAssemblyType</A></TD>
 <TD WIDTH=250><A HREF="./MatSetStencil.html">MatSetStencil</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATMPIAIJSPOOLES.html">MATMPIAIJSPOOLES</A></TD>
 <TD WIDTH=250><A HREF="./MatColoringType.html">MatColoringType</A></TD>
 <TD WIDTH=250><A HREF="./MatSetUpPreallocation.html">MatSetUpPreallocation</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATMPIBAIJ.html">MATMPIBAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatCreate.html">MatCreate</A></TD>
 <TD WIDTH=250><A HREF="./MatSetValue.html">MatSetValue</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATMPIBDIAG.html">MATMPIBDIAG</A></TD>
 <TD WIDTH=250><A HREF="./MatDestroy.html">MatDestroy</A></TD>
 <TD WIDTH=250><A HREF="./MatSetValues.html">MatSetValues</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATMPIDENSE.html">MATMPIDENSE</A></TD>
 <TD WIDTH=250><A HREF="./MatDuplicateOption.html">MatDuplicateOption</A></TD>
 <TD WIDTH=250><A HREF="./MatSetValuesBlockedStencil.html">MatSetValuesBlockedStencil</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATMPIROWBS.html">MATMPIROWBS</A></TD>
 <TD WIDTH=250><A HREF="./MatFDColoring.html">MatFDColoring</A></TD>
 <TD WIDTH=250><A HREF="./MatSetValuesStencil.html">MatSetValuesStencil</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATMPISBAIJ.html">MATMPISBAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatGetLocalSize.html">MatGetLocalSize</A></TD>
 <TD WIDTH=250><A HREF="./MatStencil.html">MatStencil</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATMPISBAIJSPOOLES.html">MATMPISBAIJSPOOLES</A></TD>
 <TD WIDTH=250><A HREF="./MatGetOwnershipRange.html">MatGetOwnershipRange</A></TD>
 <TD WIDTH=250><A HREF="./MatStructure.html">MatStructure</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATPLAPACK.html">MATPLAPACK</A></TD>
 <TD WIDTH=250><A HREF="./MatGetSize.html">MatGetSize</A></TD>
 <TD WIDTH=250><A HREF="./MatType.html">MatType</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATSBAIJ.html">MATSBAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatInfoType.html">MatInfoType</A></TD>
 <TD WIDTH=250><A HREF="./MatView.html">MatView</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATSBAIJMUMPS.html">MATSBAIJMUMPS</A></TD>
 <TD WIDTH=250><A HREF="./MatLoad.html">MatLoad</A></TD>
 <TD WIDTH=250><A HREF="./"></A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATSBAIJSPOOLES.html">MATSBAIJSPOOLES</A></TD>
 <TD WIDTH=250><A HREF="./MatMult.html">MatMult</A></TD>
 <TD WIDTH=250><A HREF="./"></A></TD>
<TR>
</TR><TD WIDTH=250 COLSPAN="3"><B>Intermediate - Setting options for algorithms and data structures</B></TD></TR>
 <TD WIDTH=250><A HREF="./MATDAAD.html">MATDAAD</A></TD>
 <TD WIDTH=250><A HREF="./MatDiagonalSet.html">MatDiagonalSet</A></TD>
 <TD WIDTH=250><A HREF="./MatPreallocateSymmetricInitialize.html">MatPreallocateSymmetricInitialize</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatAXPY.html">MatAXPY</A></TD>
 <TD WIDTH=250><A HREF="./MatDuplicate.html">MatDuplicate</A></TD>
 <TD WIDTH=250><A HREF="./MatPreallocateSymmetricSet.html">MatPreallocateSymmetricSet</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatAYPX.html">MatAYPX</A></TD>
 <TD WIDTH=250><A HREF="./MatEqual.html">MatEqual</A></TD>
 <TD WIDTH=250><A HREF="./MatPreallocateSymmetricSetLocal.html">MatPreallocateSymmetricSetLocal</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatConvert.html">MatConvert</A></TD>
 <TD WIDTH=250><A HREF="./MatGetBlockSize.html">MatGetBlockSize</A></TD>
 <TD WIDTH=250><A HREF="./MatPtAP.html">MatPtAP</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCopy.html">MatCopy</A></TD>
 <TD WIDTH=250><A HREF="./MatGetDiagonal.html">MatGetDiagonal</A></TD>
 <TD WIDTH=250><A HREF="./MatPtAPNumeric.html">MatPtAPNumeric</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateDAAD.html">MatCreateDAAD</A></TD>
 <TD WIDTH=250><A HREF="./MatGetInfo.html">MatGetInfo</A></TD>
 <TD WIDTH=250><A HREF="./MatPtAPSymbolic.html">MatPtAPSymbolic</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateLRC.html">MatCreateLRC</A></TD>
 <TD WIDTH=250><A HREF="./MatGetRowMax.html">MatGetRowMax</A></TD>
 <TD WIDTH=250><A HREF="./MatReorderForNonzeroDiagonal.html">MatReorderForNonzeroDiagonal</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateMPIAIJ.html">MatCreateMPIAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatGetType.html">MatGetType</A></TD>
 <TD WIDTH=250><A HREF="./MatRestrict.html">MatRestrict</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateMPIAIJWithArrays.html">MatCreateMPIAIJWithArrays</A></TD>
 <TD WIDTH=250><A HREF="./MatInfo.html">MatInfo</A></TD>
 <TD WIDTH=250><A HREF="./MatScale.html">MatScale</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateMPIAdj.html">MatCreateMPIAdj</A></TD>
 <TD WIDTH=250><A HREF="./MatInterpolate.html">MatInterpolate</A></TD>
 <TD WIDTH=250><A HREF="./MatScatterGetVecScatter.html">MatScatterGetVecScatter</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateMPIBAIJ.html">MatCreateMPIBAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatInterpolateAdd.html">MatInterpolateAdd</A></TD>
 <TD WIDTH=250><A HREF="./MatSeqAIJSetPreallocation.html">MatSeqAIJSetPreallocation</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateMPIBDiag.html">MatCreateMPIBDiag</A></TD>
 <TD WIDTH=250><A HREF="./MatIsHermitian.html">MatIsHermitian</A></TD>
 <TD WIDTH=250><A HREF="./MatSeqBAIJSetPreallocation.html">MatSeqBAIJSetPreallocation</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateMPICRL.html">MatCreateMPICRL</A></TD>
 <TD WIDTH=250><A HREF="./MatIsStructurallySymmetric.html">MatIsStructurallySymmetric</A></TD>
 <TD WIDTH=250><A HREF="./MatSeqBDiagSetPreallocation.html">MatSeqBDiagSetPreallocation</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateMPICSRPERM.html">MatCreateMPICSRPERM</A></TD>
 <TD WIDTH=250><A HREF="./MatIsSymmetric.html">MatIsSymmetric</A></TD>
 <TD WIDTH=250><A HREF="./MatSeqDenseSetLDA.html">MatSeqDenseSetLDA</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateMPIDense.html">MatCreateMPIDense</A></TD>
 <TD WIDTH=250><A HREF="./MatIsTranspose.html">MatIsTranspose</A></TD>
 <TD WIDTH=250><A HREF="./MatSeqDenseSetPreallocation.html">MatSeqDenseSetPreallocation</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateMPIRowbs.html">MatCreateMPIRowbs</A></TD>
 <TD WIDTH=250><A HREF="./MatMPIAIJSetPreallocation.html">MatMPIAIJSetPreallocation</A></TD>
 <TD WIDTH=250><A HREF="./MatSeqSBAIJSetPreallocation.html">MatSeqSBAIJSetPreallocation</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateMPISBAIJ.html">MatCreateMPISBAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatMPIAdjSetPreallocation.html">MatMPIAdjSetPreallocation</A></TD>
 <TD WIDTH=250><A HREF="./MatSetBlockSize.html">MatSetBlockSize</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateNormal.html">MatCreateNormal</A></TD>
 <TD WIDTH=250><A HREF="./MatMPIBAIJSetPreallocation.html">MatMPIBAIJSetPreallocation</A></TD>
 <TD WIDTH=250><A HREF="./MatSetLocalToGlobalMapping.html">MatSetLocalToGlobalMapping</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateScatter.html">MatCreateScatter</A></TD>
 <TD WIDTH=250><A HREF="./MatMPIBDiagSetPreallocation.html">MatMPIBDiagSetPreallocation</A></TD>
 <TD WIDTH=250><A HREF="./MatSetLocalToGlobalMappingBlock.html">MatSetLocalToGlobalMappingBlock</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateSeqAIJ.html">MatCreateSeqAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatMPIDenseSetPreallocation.html">MatMPIDenseSetPreallocation</A></TD>
 <TD WIDTH=250><A HREF="./MatSetOption.html">MatSetOption</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateSeqAIJWithArrays.html">MatCreateSeqAIJWithArrays</A></TD>
 <TD WIDTH=250><A HREF="./MatMPISBAIJSetPreallocation.html">MatMPISBAIJSetPreallocation</A></TD>
 <TD WIDTH=250><A HREF="./MatSetType.html">MatSetType</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateSeqBAIJ.html">MatCreateSeqBAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatMatMult.html">MatMatMult</A></TD>
 <TD WIDTH=250><A HREF="./MatSetValuesBlocked.html">MatSetValuesBlocked</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateSeqBAIJWithArrays.html">MatCreateSeqBAIJWithArrays</A></TD>
 <TD WIDTH=250><A HREF="./MatMatMultNumeric.html">MatMatMultNumeric</A></TD>
 <TD WIDTH=250><A HREF="./MatSetValuesBlockedLocal.html">MatSetValuesBlockedLocal</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateSeqBDiag.html">MatCreateSeqBDiag</A></TD>
 <TD WIDTH=250><A HREF="./MatMatMultSymbolic.html">MatMatMultSymbolic</A></TD>
 <TD WIDTH=250><A HREF="./MatSetValuesLocal.html">MatSetValuesLocal</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateSeqCRL.html">MatCreateSeqCRL</A></TD>
 <TD WIDTH=250><A HREF="./MatMatMultTranspose.html">MatMatMultTranspose</A></TD>
 <TD WIDTH=250><A HREF="./MatSetValuesRow.html">MatSetValuesRow</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateSeqCSRPERM.html">MatCreateSeqCSRPERM</A></TD>
 <TD WIDTH=250><A HREF="./MatMultAddEqual.html">MatMultAddEqual</A></TD>
 <TD WIDTH=250><A HREF="./MatSetValuesRowLocal.html">MatSetValuesRowLocal</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateSeqDense.html">MatCreateSeqDense</A></TD>
 <TD WIDTH=250><A HREF="./MatMultEqual.html">MatMultEqual</A></TD>
 <TD WIDTH=250><A HREF="./MatShift.html">MatShift</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateSeqSBAIJ.html">MatCreateSeqSBAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatMultTransposeAddEqual.html">MatMultTransposeAddEqual</A></TD>
 <TD WIDTH=250><A HREF="./MatStashSetInitialSize.html">MatStashSetInitialSize</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateSeqSBAIJWithArrays.html">MatCreateSeqSBAIJWithArrays</A></TD>
 <TD WIDTH=250><A HREF="./MatMultTransposeEqual.html">MatMultTransposeEqual</A></TD>
 <TD WIDTH=250><A HREF="./MatTranspose.html">MatTranspose</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatDAADSetCtx.html">MatDAADSetCtx</A></TD>
 <TD WIDTH=250><A HREF="./MatNorm.html">MatNorm</A></TD>
 <TD WIDTH=250><A HREF="./MatZeroEntries.html">MatZeroEntries</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatDAADSetDA.html">MatDAADSetDA</A></TD>
 <TD WIDTH=250><A HREF="./MatPreallocateFinalize.html">MatPreallocateFinalize</A></TD>
 <TD WIDTH=250><A HREF="./MatZeroRows.html">MatZeroRows</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatDAADSetSNES.html">MatDAADSetSNES</A></TD>
 <TD WIDTH=250><A HREF="./MatPreallocateInitialize.html">MatPreallocateInitialize</A></TD>
 <TD WIDTH=250><A HREF="./MatZeroRowsIS.html">MatZeroRowsIS</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatDenseGetLocalMatrix.html">MatDenseGetLocalMatrix</A></TD>
 <TD WIDTH=250><A HREF="./MatPreallocateSet.html">MatPreallocateSet</A></TD>
 <TD WIDTH=250><A HREF="./MatZeroRowsLocal.html">MatZeroRowsLocal</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatDiagonalScale.html">MatDiagonalScale</A></TD>
 <TD WIDTH=250><A HREF="./MatPreallocateSetLocal.html">MatPreallocateSetLocal</A></TD>
 <TD WIDTH=250><A HREF="./"></A></TD>
<TR>
</TR><TD WIDTH=250 COLSPAN="3"><B>Advanced - Setting more advanced options and customization</B></TD></TR>
 <TD WIDTH=250><A HREF="./MATIS.html">MATIS</A></TD>
 <TD WIDTH=250><A HREF="./MatGetSubMatrixRaw.html">MatGetSubMatrixRaw</A></TD>
 <TD WIDTH=250><A HREF="./MatRegisterDAAD.html">MatRegisterDAAD</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATMAIJ.html">MATMAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatGetValues.html">MatGetValues</A></TD>
 <TD WIDTH=250><A HREF="./MatRegisterDestroy.html">MatRegisterDestroy</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATSCATTER.html">MATSCATTER</A></TD>
 <TD WIDTH=250><A HREF="./MatGetVecs.html">MatGetVecs</A></TD>
 <TD WIDTH=250><A HREF="./MatRegisterDynamic.html">MatRegisterDynamic</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MATSHELL.html">MATSHELL</A></TD>
 <TD WIDTH=250><A HREF="./MatHasOperation.html">MatHasOperation</A></TD>
 <TD WIDTH=250><A HREF="./MatRestoreArray.html">MatRestoreArray</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatAppendOptionsPrefix.html">MatAppendOptionsPrefix</A></TD>
 <TD WIDTH=250><A HREF="./MatISGetLocalMat.html">MatISGetLocalMat</A></TD>
 <TD WIDTH=250><A HREF="./MatRestoreArrayF90.html">MatRestoreArrayF90</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatAssembled.html">MatAssembled</A></TD>
 <TD WIDTH=250><A HREF="./MatImaginaryPart.html">MatImaginaryPart</A></TD>
 <TD WIDTH=250><A HREF="./MatRestoreRow.html">MatRestoreRow</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatBDiagGetData.html">MatBDiagGetData</A></TD>
 <TD WIDTH=250><A HREF="./MatInodeGetInodeSizes.html">MatInodeGetInodeSizes</A></TD>
 <TD WIDTH=250><A HREF="./MatRestoreRowUpperTriangular.html">MatRestoreRowUpperTriangular</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCompress.html">MatCompress</A></TD>
 <TD WIDTH=250><A HREF="./MatIsHermitianKnown.html">MatIsHermitianKnown</A></TD>
 <TD WIDTH=250><A HREF="./MatRetrieveValues.html">MatRetrieveValues</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatComputeExplicitOperator.html">MatComputeExplicitOperator</A></TD>
 <TD WIDTH=250><A HREF="./MatIsSymmetricKnown.html">MatIsSymmetricKnown</A></TD>
 <TD WIDTH=250><A HREF="./MatScatterSetVecScatter.html">MatScatterSetVecScatter</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatConjugate.html">MatConjugate</A></TD>
 <TD WIDTH=250><A HREF="./MatMPIBAIJSetHashTableFactor.html">MatMPIBAIJSetHashTableFactor</A></TD>
 <TD WIDTH=250><A HREF="./MatSeqAIJSetColumnIndices.html">MatSeqAIJSetColumnIndices</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateIS.html">MatCreateIS</A></TD>
 <TD WIDTH=250><A HREF="./MatMerge.html">MatMerge</A></TD>
 <TD WIDTH=250><A HREF="./MatSeqBAIJInvertBlockDiagonal.html">MatSeqBAIJInvertBlockDiagonal</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateMAIJ.html">MatCreateMAIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatMerge_SeqsToMPI.html">MatMerge_SeqsToMPI</A></TD>
 <TD WIDTH=250><A HREF="./MatSeqBAIJSetColumnIndices.html">MatSeqBAIJSetColumnIndices</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCreateShell.html">MatCreateShell</A></TD>
 <TD WIDTH=250><A HREF="./MatNullSpace.html">MatNullSpace</A></TD>
 <TD WIDTH=250><A HREF="./MatSeqSBAIJSetColumnIndices.html">MatSeqSBAIJSetColumnIndices</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatDestroyMatrices.html">MatDestroyMatrices</A></TD>
 <TD WIDTH=250><A HREF="./MatNullSpaceCreate.html">MatNullSpaceCreate</A></TD>
 <TD WIDTH=250><A HREF="./MatSetOptionsPrefix.html">MatSetOptionsPrefix</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetArray.html">MatGetArray</A></TD>
 <TD WIDTH=250><A HREF="./MatNullSpaceDestroy.html">MatNullSpaceDestroy</A></TD>
 <TD WIDTH=250><A HREF="./MatSetUp.html">MatSetUp</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetArrayF90.html">MatGetArrayF90</A></TD>
 <TD WIDTH=250><A HREF="./MatNullSpaceRemove.html">MatNullSpaceRemove</A></TD>
 <TD WIDTH=250><A HREF="./MatShellGetContext.html">MatShellGetContext</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetColumnVector.html">MatGetColumnVector</A></TD>
 <TD WIDTH=250><A HREF="./MatNullSpaceSetFunction.html">MatNullSpaceSetFunction</A></TD>
 <TD WIDTH=250><A HREF="./MatShellGetOperation.html">MatShellGetOperation</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetInertia.html">MatGetInertia</A></TD>
 <TD WIDTH=250><A HREF="./MatNullSpaceTest.html">MatNullSpaceTest</A></TD>
 <TD WIDTH=250><A HREF="./MatShellSetContext.html">MatShellSetContext</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetOptionsPrefix.html">MatGetOptionsPrefix</A></TD>
 <TD WIDTH=250><A HREF="./MatPermute.html">MatPermute</A></TD>
 <TD WIDTH=250><A HREF="./MatShellSetOperation.html">MatShellSetOperation</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetRow.html">MatGetRow</A></TD>
 <TD WIDTH=250><A HREF="./MatPermuteSparsify.html">MatPermuteSparsify</A></TD>
 <TD WIDTH=250><A HREF="./MatStashGetInfo.html">MatStashGetInfo</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetRowUpperTriangular.html">MatGetRowUpperTriangular</A></TD>
 <TD WIDTH=250><A HREF="./MatRealPart.html">MatRealPart</A></TD>
 <TD WIDTH=250><A HREF="./MatStoreValues.html">MatStoreValues</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetSubMatrices.html">MatGetSubMatrices</A></TD>
 <TD WIDTH=250><A HREF="./MatRegister.html">MatRegister</A></TD>
 <TD WIDTH=250><A HREF="./"></A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetSubMatrix.html">MatGetSubMatrix</A></TD>
 <TD WIDTH=250><A HREF="./MatRegisterAll.html">MatRegisterAll</A></TD>
 <TD WIDTH=250><A HREF="./"></A></TD>
<TR>
</TR><TD WIDTH=250 COLSPAN="3"><B>Developer - Interfaces intended primarily for library developers, not for typical applications programmers</B></TD></TR>
 <TD WIDTH=250><A HREF="./MatCholeskyCheckShift_inline.html">MatCholeskyCheckShift_inline</A></TD>
 <TD WIDTH=250><A HREF="./MatILUDTFactor.html">MatILUDTFactor</A></TD>
 <TD WIDTH=250><A HREF="./MatRestoreRowIJ.html">MatRestoreRowIJ</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCholeskyFactor.html">MatCholeskyFactor</A></TD>
 <TD WIDTH=250><A HREF="./MatILUFactor.html">MatILUFactor</A></TD>
 <TD WIDTH=250><A HREF="./MatScaleSystem.html">MatScaleSystem</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCholeskyFactorNumeric.html">MatCholeskyFactorNumeric</A></TD>
 <TD WIDTH=250><A HREF="./MatILUFactorSymbolic.html">MatILUFactorSymbolic</A></TD>
 <TD WIDTH=250><A HREF="./MatSeqAIJSetPreallocationCSR.html">MatSeqAIJSetPreallocationCSR</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatCholeskyFactorSymbolic.html">MatCholeskyFactorSymbolic</A></TD>
 <TD WIDTH=250><A HREF="./MatIncreaseOverlap.html">MatIncreaseOverlap</A></TD>
 <TD WIDTH=250><A HREF="./MatSetColoring.html">MatSetColoring</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatColoringPatch.html">MatColoringPatch</A></TD>
 <TD WIDTH=250><A HREF="./MatInitializePackage.html">MatInitializePackage</A></TD>
 <TD WIDTH=250><A HREF="./MatSetUnfactored.html">MatSetUnfactored</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatColoringRegisterDynamic.html">MatColoringRegisterDynamic</A></TD>
 <TD WIDTH=250><A HREF="./MatLUCheckShift_inline.html">MatLUCheckShift_inline</A></TD>
 <TD WIDTH=250><A HREF="./MatSetValuesAdic.html">MatSetValuesAdic</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatDiagonalScaleLocal.html">MatDiagonalScaleLocal</A></TD>
 <TD WIDTH=250><A HREF="./MatLUFactor.html">MatLUFactor</A></TD>
 <TD WIDTH=250><A HREF="./MatSetValuesAdifor.html">MatSetValuesAdifor</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatFactorInfo.html">MatFactorInfo</A></TD>
 <TD WIDTH=250><A HREF="./MatLUFactorNumeric.html">MatLUFactorNumeric</A></TD>
 <TD WIDTH=250><A HREF="./MatSolve.html">MatSolve</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatFactorInfoInitialize.html">MatFactorInfoInitialize</A></TD>
 <TD WIDTH=250><A HREF="./MatLUFactorSymbolic.html">MatLUFactorSymbolic</A></TD>
 <TD WIDTH=250><A HREF="./MatSolveAdd.html">MatSolveAdd</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetBrowsOfAcols.html">MatGetBrowsOfAcols</A></TD>
 <TD WIDTH=250><A HREF="./MatMPIAIJSetPreallocationCSR.html">MatMPIAIJSetPreallocationCSR</A></TD>
 <TD WIDTH=250><A HREF="./MatSolveTranspose.html">MatSolveTranspose</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetBrowsOfAoCols.html">MatGetBrowsOfAoCols</A></TD>
 <TD WIDTH=250><A HREF="./MatMPIBAIJSetPreallocationCSR.html">MatMPIBAIJSetPreallocationCSR</A></TD>
 <TD WIDTH=250><A HREF="./MatSolveTransposeAdd.html">MatSolveTransposeAdd</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetColumnIJ.html">MatGetColumnIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatMatSolve.html">MatMatSolve</A></TD>
 <TD WIDTH=250><A HREF="./MatSolves.html">MatSolves</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetCommunicationStructs.html">MatGetCommunicationStructs</A></TD>
 <TD WIDTH=250><A HREF="./MatNullSpaceAttach.html">MatNullSpaceAttach</A></TD>
 <TD WIDTH=250><A HREF="./MatUnScaleSystem.html">MatUnScaleSystem</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetLocalMat.html">MatGetLocalMat</A></TD>
 <TD WIDTH=250><A HREF="./MatOrderingRegisterDynamic.html">MatOrderingRegisterDynamic</A></TD>
 <TD WIDTH=250><A HREF="./MatUseScaledForm.html">MatUseScaledForm</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetLocalMatCondensed.html">MatGetLocalMatCondensed</A></TD>
 <TD WIDTH=250><A HREF="./MatPBRelax.html">MatPBRelax</A></TD>
 <TD WIDTH=250><A HREF="./MatValid.html">MatValid</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatGetRowIJ.html">MatGetRowIJ</A></TD>
 <TD WIDTH=250><A HREF="./MatPartitioningRegisterDynamic.html">MatPartitioningRegisterDynamic</A></TD>
 <TD WIDTH=250><A HREF="./Mat_CheckCompressedRow.html">Mat_CheckCompressedRow</A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatICCFactor.html">MatICCFactor</A></TD>
 <TD WIDTH=250><A HREF="./MatRelax.html">MatRelax</A></TD>
 <TD WIDTH=250><A HREF="./"></A></TD>
<TR>
 <TD WIDTH=250><A HREF="./MatICCFactorSymbolic.html">MatICCFactorSymbolic</A></TD>
 <TD WIDTH=250><A HREF="./MatRestoreColumnIJ.html">MatRestoreColumnIJ</A></TD>
 <TD WIDTH=250><A HREF="./"></A></TD>
<TR>
</TR><TD WIDTH=250 COLSPAN="3"><B>No deprecated routines</B></TD></TR>
</TABLE>
<BR><A HREF="../../index.html"><IMG SRC="../up.gif">Table of Contents</A>
